Atom feeds for the Project Activity contain incorrect hostname
Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.3.0

Description

The link in the Atom feed (at least for Project Activity) contains a hostname detected by Rails, but not the one specified in settings.

This makes link unusable if the requests to Rails are proxified.

Versions:

Redmine:

SVN: http://redmine.rubyforge.org/svn/branches/1.3-stable revision 9240

 Env:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /opt/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

Related issues:

Related to Redmine - Defect #17309: RSS feed gives away localhost link Closed

Associated revisions

Revision 19810 - 2020-06-04 16:23 - Go MAEDA

URLs in atom feeds don't take into account Setting.protocol and Setting.hostname (#10535).

Patch by Go MAEDA.

Revision 20683 - 2020-12-22 12:45 - Go MAEDA

Revert r20455 (#10535).

Revision 20684 - 2020-12-22 12:48 - Go MAEDA

Revert r20440 (#10535).

Revision 20685 - 2020-12-22 12:52 - Go MAEDA

Revert r19810 (#10535).

History

#1 - 2020-05-19 10:12 - Go MAEDA

- File fix-10535-without-test.patch added
- Status changed from New to Confirmed

Confirmed the issue. I think the links in the Atom feed should respect Setting.protocol and Setting.host_name.

The attached is a workaround for the issue.

#2 - 2020-05-19 14:12 - Go MAEDA

- File test-10535.patch added

- Target version set to Candidate for next major release

Updated tests.

#3 - 2020-05-30 11:31 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-06-04 16:23 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#5 - 2020-11-14 06:42 - Go MAEDA

- Related to Defect #17309: RSS feed gives away localhost link added

#6 - 2020-12-22 12:09 - Go MAEDA

- Status changed from Closed to Reopened

r19810 generates incorrect links if Redmine is deployed using sub-URI.

For example, if ENV['RAILS_RELATIVE_URL_ROOT'] is '/dir' and Setting.host_name is 'example.net/dir', a link to an issue will be

http://example.net/dir/dir/issues/1 ('dir' appears twice).

#7 - 2020-12-22 12:27 - Go MAEDA

Go MAEDA wrote:

r19810 generates incorrect links if Redmine is deployed using sub-URI.

For example, if ENV['RAILS_RELATIVE_URL_ROOT'] is '/dir' and Setting.host_name is 'example.net/dir', a link to an issue will be

http://example.net/dir/dir/issues/1 ('dir' appears twice).

 And also app/views/journals/index.builder should have been changed to support Setting.host_name but r19810 didn't.

I will revert the change.

#8 - 2020-12-22 12:52 - Go MAEDA

- Target version deleted (4.2.0)

Files

fix-10535-without-test.patch 1.6 KB 2020-05-19 Go MAEDA

test-10535.patch 6.28 KB 2020-05-19 Go MAEDA
